Skip to main content
GET
/
o
/
{organisation_id}
/
hubs
List Hubs
curl --request GET \
  --url https://platform.versori.com/api/embedded/v1/o/{organisation_id}/hubs \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 123,
  "hubs": [
    {
      "id": "<string>",
      "name": "<string>",
      "primaryConnector": {
        "connectorId": "<string>",
        "name": "<string>",
        "authSchemeConfig": {
          "id": "<string>",
          "description": "<string>",
          "schemeType": "<string>",
          "validationMessages": [
            {
              "text": "<string>",
              "severity": "info",
              "detail": [
                "<string>"
              ]
            }
          ]
        },
        "imageUrl": "<string>",
        "variables": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ]
      },
      "isDefault": true
    }
  ],
  "next": "<string>",
  "prev": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organisation_id
string<ulid>
required

Response

OK

HubsPage contains a list of hubs using Versori's pagination response types. Initially the ListHubs endpoint will return all hubs, but this is subject to change in the future and may become paginated.

totalCount
integer
required
hubs
object[]
required
next
string
prev
string